Package org.apache.lucene.queries.spans

## Class TermSpans

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.queries.spans.Spans
    - - org.apache.lucene.queries.spans.TermSpans

-     public class TermSpans
      extends Spans

  Expert: Public for extension only. This does not work correctly for terms that indexed at position Integer.MAX_VALUE.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `count` |
    `protected int` | `doc` |
    `protected int` | `freq` |
    `protected int` | `position` |
    `protected PostingsEnum` | `postings` |
    `protected boolean` | `readPayload` |
    `protected Term` | `term` |

    - ### Fields inherited from class org.apache.lucene.queries.spans.Spans

      `NO_MORE_POSITIONS`

    - ### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

      `NO_MORE_DOCS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TermSpans​(LeafSimScorer scorer, PostingsEnum postings, Term term, float positionsCost)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `advance​(int target)` |
    `void` | `collect​(SpanCollector collector)` | Collect postings data from the leaves of the current Spans.
    `long` | `cost()` |
    `int` | `docID()` |
    `int` | `endPosition()` | Returns the end position for the current start position, or -1 when `Spans.nextStartPosition()` was not yet called on the current doc.
    `PostingsEnum` | `getPostings()` |
    `int` | `nextDoc()` |
    `int` | `nextStartPosition()` | Returns the next start position for the current doc.
    `float` | `positionsCost()` | Return an estimation of the cost of using the positions of this `Spans` for any single document, but only after `Spans.asTwoPhaseIterator()` returned `null`.
    `int` | `startPosition()` | Returns the start position in the current doc, or -1 when `Spans.nextStartPosition()` was not yet called on the current doc.
    `String` | `toString()` |
    `int` | `width()` | Return the width of the match, which is typically used to sloppy freq.

    - ### Methods inherited from class org.apache.lucene.queries.spans.Spans

      `asTwoPhaseIterator, doCurrentSpans, doStartCurrentDoc`

    - ### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

      `all, empty, range, slowAdvance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### postings

          protected final PostingsEnum postings

    - #### term

          protected final Term term

    - #### doc

          protected int doc

    - #### freq

          protected int freq

    - #### count

          protected int count

    - #### position

          protected int position

    - #### readPayload

          protected boolean readPayload

  - ### Constructor Detail

    - #### TermSpans

          public TermSpans​(LeafSimScorer scorer,
                           PostingsEnum postings,
                           Term term,
                           float positionsCost)

  - ### Method Detail

    - #### nextDoc

          public int nextDoc()
                      throws IOException

      Specified by:
        `nextDoc` in class `DocIdSetIterator`
      Throws:
        `IOException`

    - #### advance

          public int advance​(int target)
                      throws IOException

      Specified by:
        `advance` in class `DocIdSetIterator`
      Throws:
        `IOException`

    - #### docID

          public int docID()

      Specified by:
        `docID` in class `DocIdSetIterator`

    - #### nextStartPosition

          public int nextStartPosition()
                                throws IOException

      Description copied from class: `Spans`
      Returns the next start position for the current doc. There is always at least one start/end position per doc. After the last start/end position at the current doc this returns `Spans.NO_MORE_POSITIONS`.
      Specified by:
        `nextStartPosition` in class `Spans`
      Throws:
        `IOException`

    - #### startPosition

          public int startPosition()

      Description copied from class: `Spans`
      Returns the start position in the current doc, or -1 when `Spans.nextStartPosition()` was not yet called on the current doc. After the last start/end position at the current doc this returns `Spans.NO_MORE_POSITIONS`.
      Specified by:
        `startPosition` in class `Spans`

    - #### endPosition

          public int endPosition()

      Description copied from class: `Spans`
      Returns the end position for the current start position, or -1 when `Spans.nextStartPosition()` was not yet called on the current doc. After the last start/end position at the current doc this returns `Spans.NO_MORE_POSITIONS`.
      Specified by:
        `endPosition` in class `Spans`

    - #### width

          public int width()

      Description copied from class: `Spans`
      Return the width of the match, which is typically used to sloppy freq. It is only legal to call this method when the iterator is on a valid doc ID and positioned. The return value must be positive, and lower values means that the match is better.
      Specified by:
        `width` in class `Spans`

    - #### cost

          public long cost()

      Specified by:
        `cost` in class `DocIdSetIterator`

    - #### collect

          public void collect​(SpanCollector collector)
                       throws IOException

      Description copied from class: `Spans`
      Collect postings data from the leaves of the current Spans.

      This method should only be called after `Spans.nextStartPosition()`, and before `Spans.NO_MORE_POSITIONS` has been reached.

      Specified by:
        `collect` in class `Spans`
      Parameters:
        `collector` - a SpanCollector
      Throws:
        `IOException`

    - #### positionsCost

          public float positionsCost()

      Description copied from class: `Spans`
      Return an estimation of the cost of using the positions of this `Spans` for any single document, but only after `Spans.asTwoPhaseIterator()` returned `null`. Otherwise this method should not be called. The returned value is independent of the current document.
      Specified by:
        `positionsCost` in class `Spans`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Spans`

    - #### getPostings

          public PostingsEnum getPostings()